<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    >
    <ImageView
        android:id="@+id/img_reg_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/platform_dp_16"
        android:layout_marginTop="54dp"
        android:src="@drawable/user_ic_back_black"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_login_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_40"
        android:text="输入验证码"
        android:textColor="@color/pay_color_242424"
        android:textSize="22sp"
        app:layout_constraintLeft_toRightOf="@id/img_reg_back"
        android:layout_marginStart="-10dp"
        app:layout_constraintTop_toBottomOf="@id/img_reg_back" />

    <TextView
        android:id="@+id/tv_phone"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_5"
        android:text="已发送至+86 137 7759 3333"
        app:layout_constraintStart_toStartOf="@id/tv_login_title"
        app:layout_constraintTop_toBottomOf="@id/tv_login_title" />

    <TextView
        android:id="@+id/tv_countdown_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="@dimen/platform_dp_40"
        android:textColor="@color/pay_color_999999"
        android:textSize="13sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_phone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_phone"
        tools:text="发送验证码"
        tools:visibility="visible" />

    <com.yidianling.user.widget.PinField.SquarePinField
        android:id="@+id/verify_code"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="31dp"
        android:layout_marginTop="67dp"
        android:layout_marginEnd="@dimen/platform_dp_30"
        android:cursorVisible="true"
        android:focusable="true"
        android:inputType="number"
        android:paddingBottom="0dp"
        android:paddingTop="0dp"
        android:textSize="24sp"
        app:User_highlightType="currentField"
        app:User_isCursorEnabled="true"
        app:User_noOfFields="4"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_phone"
        app:user_cornerRadius="8dp" />

    <TextView
        android:id="@+id/login_password"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_10"
        android:text="密码登录"
        android:textColor="@color/platform_color_666666"
        android:textSize="13sp"
        android:visibility="invisible"
        app:layout_constraintStart_toStartOf="@id/verify_code"
        android:layout_marginStart="@dimen/platform_dp_10"
        app:layout_constraintTop_toBottomOf="@id/verify_code" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="收不到验证码?"
        android:textSize="13sp"
        android:padding="@dimen/platform_dp_5"
        android:id="@+id/not_get_code"
        android:textColor="@color/platform_color_666666"
        app:layout_constraintRight_toRightOf="@id/verify_code"
        app:layout_constraintTop_toTopOf="@id/login_password"
        app:layout_constraintBottom_toBottomOf="@id/login_password"
        android:layout_marginEnd="5dp"
        app:layout_goneMarginTop="@dimen/platform_dp_15"
        />
</androidx.constraintlayout.widget.ConstraintLayout>